Subject: Autconfiguration RFC

From: Thomas Eklund <[email-masked]>
Date: Thu, 17 Feb 2000 17:19:03 +0100

This is an old email from me on the mobile ip listbut I forgot to ask you if
you would like to you add a chapter in the autoconfiguration RFC about
this... Something like a fault tolerant autoconf using DHCP...:
///There are though some easy tricks you can do, and that is to have a pool
of
static addresses that could be autoconfigured with DHCP.
So when you autoconfigure using ND and get a conflict when you do your DAD,
you do a stateful DHCP request from this pool. This is a very nice way of
solving the problem.
This is how I have done it.///

This is mostly guidelines how you build your network but I think it would be
good to have.

Whats you opinion Thomas?

Regards Thomas Eklund

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Thomas Narten <[email-masked]>
Date: Thu, 17 Feb 2000 16:44:37 -0500

> This is how I have done it.///

The premise here is that duplicate addresses will occur often enough
in practice that the protocols need to take some steps to
automatically recover from their occurance.  In the past, the sense
I've had from the WG was that there was insufficient motivation to do
this. I.e, duplicates aren't expected to be common, and when they
occur, they aren't that easy to fix automatically anyway.

For example, if the duplicate addresses are on the same link, isn't
the implication that the link-layer addresses are also duplicated? If
so, duplicate IP addresses are the least of your worries. Also, DHCP
uses the MAC address to identify itself to the DHCP server. If there
are duplicate addresses, there would appear to be significant risk
that the DHCP server would now get requests from different nodes, but
for the same identifier. Again, this is likely to cause problems. How
does your DHCP approach deal with this problem?

Thomas